/********************************************************************
* Demo application for starting development with Qt for Nokia N900	*
* Author: Sebastian Montabone 										*
* Contact: samontab at gmail dot com								*
********************************************************************/

#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_sumNumbers_clicked()
{
    //anything from the user interface that we created is inside the ui object.

    //first, get the two numbers as ints
    int number1 = ui->number1->text().toInt();
    int number2 = ui->number2->text().toInt();

    //now sum the numbers
    int result = number1 + number2;

    //finally store the result as text in the sum line edit
    ui->sum->setText(QString::number(result));
}
